.card:has(.card-tools) {
    transition: max-height 0.5s ease-in-out;
    overflow: hidden;

    & > *:not(.skip, .card-header) {
        transition: max-height 0.5s ease-in-out;
        overflow: hidden;
    }

    &.collapsed > *:not(.skip, .card-header) {
        max-height: 0 !important;
        min-height: 0px !important;
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }

    &.card-none {
        margin: 0 !important;
        padding: 0 !important;
        max-height: 0 !important;
        min-height: 0 !important;
        border: none !important;
    }

    .card-tool {
        > .btn {
            color: inherit;
        }

        > .btn:hover {
            box-shadow: 0px 0px 2px 1px rgb(0 0 0 / 30%);
        }

        > .btn:not(:last-child) {
            margin-right: 5px;
        }
    }
}
